com.threerings.puzzle.client

## Class PuzzleControllerDelegate

- java.lang.Object
- - com.threerings.crowd.client.PlaceControllerDelegate
  - - com.threerings.parlor.game.client.GameControllerDelegate
    - - com.threerings.puzzle.client.PuzzleControllerDelegate

All Implemented Interfaces:
  com.threerings.presents.data.InvocationCodes, PuzzleCodes, PuzzleGameCodes

Direct Known Subclasses:
  DropControllerDelegate

    public class PuzzleControllerDelegate
    extends GameControllerDelegate
    implements PuzzleCodes, PuzzleGameCodes

A base class for puzzle controller delegates. Provides access to some delegated puzzle controller methods (`startAction()`, `clearAction()`, etc.) and provides a casted reference to the puzzle object.

### Field Summary

### Fields inherited from interface com.threerings.puzzle.data.PuzzleCodes

`DEBUG_PUZZLE, DEFAULT_DIFFICULTY, PUZZLE_MESSAGE_BUNDLE`

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`PuzzleControllerDelegate(PuzzleController ctrl)` Constructs a puzzle controller delegate.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `didLeavePlace(com.threerings.crowd.data.PlaceObject plobj)`
`void` `playerKnockedOut(int pidx)` Called when a player is knocked out of the game.
`void` `setBoard(Board board)` Called when the puzzle controller sets up a new board for the player.
`void` `setChatting(boolean chatting)` Called when the user toggles chatting mode.
`void` `willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)`

### Methods inherited from class com.threerings.parlor.game.client.GameControllerDelegate

`gameDidEnd, gameDidStart, gameWasCancelled, gameWillReset`

### Methods inherited from class com.threerings.crowd.client.PlaceControllerDelegate

`handleAction, init, mayLeavePlace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PuzzleControllerDelegate

    public PuzzleControllerDelegate(PuzzleController ctrl)

Constructs a puzzle controller delegate.

### Method Detail

#### willEnterPlace

    public void willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)

Overrides:
  `willEnterPlace` in class `com.threerings.crowd.client.PlaceControllerDelegate`

#### didLeavePlace

    public void didLeavePlace(com.threerings.crowd.data.PlaceObject plobj)

Overrides:
  `didLeavePlace` in class `com.threerings.crowd.client.PlaceControllerDelegate`

#### playerKnockedOut

    public void playerKnockedOut(int pidx)

Called when a player is knocked out of the game.

#### setChatting

    public void setChatting(boolean chatting)

Called when the user toggles chatting mode.

#### setBoard

    public void setBoard(Board board)

Called when the puzzle controller sets up a new board for the player.

Parameters:
  `board` - the newly initialized and ready-to-go board.